/*  interface - make main window and relative controls.
    Copyright (C) 2004  Daniele F.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */

/* For bugs or infos please contact me <geekgnele@tin.it> */


#ifndef INTERFACE_H
#define INTERFACE_H

void
on_refresh_clicked (GtkButton * , gpointer);

void
make_main_window (void);

void 
update_clist (void);

void 
make_splash_window(void);

gboolean 
close_splash_window (gpointer);

/* Main Window */
struct _main_window {
	
	GtkWidget *window;		/* main window */
	GtkWidget *save_at_refresh1;
	GtkWidget *save_as2;
	GtkWidget *scrolledwindow;
	GtkWidget *hpaned;
	GtkWidget *statusbar;
	GtkWidget *handlebox;
	GtkWidget *autorefresh_frame;
	GtkWidget *item_layout1;
	GtkWidget *change_settings_sub_menu;
	GtkWidget *settings_radio_menu;
	GtkWidget *killpid_button;
	
	/* autorefresh */
	GtkWidget *spin1;
	GtkWidget *spin2;
	GtkWidget *progressbar;
	GtkWidget *start;
	GtkWidget *stop;
	GtkWidget *autorefresh_button;
	
	/* search */
	GtkWidget *search_entry;
	GtkWidget *search_button;
	GtkWidget *combox;
};

typedef struct _main_window main_window;

#endif /* INTERFACE_H */
