/*  list settings - Edit, create and remove 'settings'.
    Copyright (C) 2004  Daniele F.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */

/* For bugs or infos please contact me <geekgnele@tin.it> */


#ifndef LIST_SETTINGS_H
#define LIST_SETTINGS_H

void
on_list_settings_clicked (GtkButton *, gpointer);

void
make_list_settings_window (void);

void
make_new_settings_dialog (void);

/* List Settings Window */
struct _list_settings_window {
	
	GtkWidget *window;
	GtkWidget *launch_combobox;
	GtkWidget *edit_button;
	GtkWidget *remove_button;
	
	/* list widgets */
	GtkListStore *liststore;
	GtkWidget *view_list;
	GSList *list;
	GtkTreeSelection *selection;
	GtkTreeSelection *selection_list;
};

typedef struct _list_settings_window list_settings_window;

/* New Settings Dialog */
struct _new_settings_dialog {
	GtkWidget *dialog;
	GtkWidget *entry;
	GtkWidget *create_button;
	GtkWidget *combobox;
};

typedef struct _new_settings_dialog new_settings_dialog;

#endif /* LIST_SETTINGS_H */
