/*  preferences - Make preferences window and save view-columns-state and other options.
    Copyright (C) 2004  Daniele F.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */

/* For bugs or infos please contact me <geekgnele@tin.it> */


#ifndef PREFERENCES_H
#define PREFERENCES_H

void save_size_and_position_main_window (void);

void get_size_and_position_main_window (void);

void on_preferences_clicked (GtkButton * button, gpointer user_data);

void show_hide_columns (GtkToggleButton * togglebutton, gpointer user_data);

void make_preferences_window (void);

struct _preferences_window
{
	GtkWidget *window; /* main window for preferences */
	GtkWidget *sets_check_conf;	/* save window size & position */
	GtkWidget *sets_check_show_splash_conf;	/* splash window */
	GtkWidget *sets_entry_conf;	/* path lsof */
	GtkWidget *checkbutton_fields[10];
};

typedef struct _preferences_window preferences_window;

#endif /* PREFERENCES_H */
