/*  about - about glsof infos.
    Copyright (C) 2004  Daniele F.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */

/* For bugs or infos please contact me <geekgnele@tin.it> */


#include <libgnome/libgnome.h>
#include <libgnomeui/libgnomeui.h>

/* About Window */

void
on_info_clicked (GtkButton * button, gpointer user_data)
{
  GtkWidget *window4;
  GdkPixbuf* pixbuf;
  
 static const gchar *authors [] = {
                         "Gnele <geekgnele@tin.it>",
                         NULL };

 static const gchar *translators = "Gnele <geekgnele@tin.it>";

 pixbuf = gdk_pixbuf_new_from_file(PIXMAPS_PATH "glsof-logo.png", NULL);

 window4 = gnome_about_new ("GLSOF", "0.9.17",
                     "Copyright \xc2\xa9 2004 Daniele\n",
		     _("GNOME GUI for LSOF."), authors, NULL, translators,
		     pixbuf);

 gtk_widget_show (window4);												
}
