/*  list int addr - Make window for internet addresses/services/ports control.
    Copyright (C) 2004  Daniele F.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */

/* For bugs or infos please contact me <geekgnele@tin.it> */



#ifndef LIST_INT_ADDR_H
#define LIST_INT_ADDR_H

struct n_d {
	
   gchar *host;
   gchar *port;
   gchar *ipv;
   gchar *protocol;
   gchar *option;
	
};

typedef struct n_d node_data;
	
struct _list_add {
	
	GtkWidget *window;
	
	GtkWidget *host_entry;
	GtkWidget *port_entry;
	GtkWidget *ipv_combo;
	GtkWidget *prot_combo;
	
	GtkWidget *edit_button;
	GtkWidget *remove_button;
	
	/* elements for comboboxes list */
	GtkWidget *view;
	GtkTreeSelection *selection;
	GtkListStore *liststore_right;
};

typedef struct _list_add list_add;

void on_set_list_clicked (GtkButton *, gpointer);

void make_internet_addresses_window (void);

void free_useless_elements (GPtrArray *, GPtrArray *);

#endif /* LIST_INT_ADDR_H */
